.product {
    margin: 15px 5px;
}
.product .productImage {
    background-color: whitesmoke;
    float: left;
}

.product .productData {
    margin: 0 0 0 auto;
    float: left;
}
.productData .simpleData, .productData .frameSelector {
    margin: 10px 10px 1px 30px;
}

.product .banner{
    width: 100%;
}
.product .afterBanner{
    clear: both;
    height: 0px;
    width: 100%;
}

.product article, {
    clear: both;
}

.product select {
    font-size: 1em;
    padding: 2px;
    width: 150px;
}
.product label {
    display: block;
    font-size: .7em;
    font-weight: bold;
}